[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libvir] Libvirt / Xen incompatible versions.



On Fri, Sep 01, 2006 at 12:02:09PM +0200, Michel Gauthier wrote:
> We've just installed the last advanced version of  Xen on our IA64 platform.
> Unfortunatly, the build of the 0.1.4 version of libvirt with this version 
> of Xen is not successful.
> The C header file of  Xen /usr/include/xen/dom0_ops.h used by libvirt in 
> xen_internal.c has been modified.
> The dom0_getdomaininfo_t structure is no more decared in this header file.
> Are you aware of this problem?

Yes, unfortunately we are - unlike the Linux kernel which maintains syscall
compatability forever, the Xen project does not maintain any stability
in its hypercall ABI breaking stuff at will during development :-( DV is
currently working on updating libvirt so that it will work with the new 
hypercall ABI (detecting which version to use at runtime, so we are still
compatible with all old ABIs too). I expect this work to hit CVS in the
near future.

> What is the latest version of  Xen on which libvirt has been successfully 
> built and tested?

It will work on any xen-unstable.hg snapshot upto the changeset which 
broke the hypercall ABI compatability.

Regards,
Dan.
-- 
|=- Red Hat, Engineering, Emerging Technologies, Boston.  +1 978 392 2496 -=|
|=-           Perl modules: http://search.cpan.org/~danberr/              -=|
|=-               Projects: http://freshmeat.net/~danielpb/               -=|
|=-  GnuPG: 7D3B9505   F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505  -=| 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]